@REM  Licensed Materials - Property of IBM
@REM  5724-M24
@REM  (C) Copyright IBM Corporation 2007, 2008. All Rights Reserved.
@REM  US Government Users Restricted Rights- Use, duplication or disclosure
@REM  restricted by GSA ADP Schedule Contract with IBM Corp.
@ECHO OFF
@SETLOCAL

@REM Monitor Model Deploy Tool

@REM Launch Arguments:
@REM
@REM -pi <pifile.zip>           Specify the input project interchange file.
@REM -ear <earfile.ear>         Override the name of the generated EAR file.
@REM -mm <mmfile.mm>            Specify the monitor model to use in the project interchange file.
@REM -ejbdeploy                 Run ejbDeploy against the ear file.
@REM -novalidation              Disable monitor model validation.
@REM -ignorevalidation          Do not halt for validation errors.
@REM -keep                      Do not cleanup on exit.
@REM -w <workingdir>            Specify temporary working directory.
@REM -trace                     Trace progress of the deploy tool.
@REM -tracefile <tracefile.log> Specify a log file for trace output.

CALL "%~dp0setupCmdLine.bat" %*

set JAVA_HOME=%WAS_HOME%\deploytool.wbm\sdk

IF EXIST "%JAVA_HOME%\bin\java.exe" (
   SET JAVA_EXE="%JAVA_HOME%\bin\java"
) ELSE (
   SET JAVA_EXE="%JAVA_HOME%\jre\bin\java"
)

SET MMDEPLOY_HOME=%WAS_HOME%\deploytool.wbm

SET JVM_OPTIONS=-jar 
SET JVM_OPTIONS=%JVM_OPTIONS% -Dwas.install.root="%WAS_HOME%"
SET JVM_OPTIONS=%JVM_OPTIONS% -Dmmdeploy.location="%MMDEPLOY_HOME%"
SET JVM_OPTIONS=%JVM_OPTIONS% "%MMDEPLOY_HOME%\mmdeploy.jar"

@REM Uncomment the following line to enable trace to a file.
@REM SET MMDEPLOY_OPTIONS=-trace -tracefile "%TEMP%\mmdeploy_%RANDOM%_trace.log"

REM SET ECLIPSE_OPTIONS=-clean

ECHO %JAVA_EXE% %JVM_OPTIONS% %ECLIPSE_OPTIONS% %MMDEPLOY_OPTIONS% %*
%JAVA_EXE% %JVM_OPTIONS% %ECLIPSE_OPTIONS% %MMDEPLOY_OPTIONS% %*
EXIT /B %ERRORLEVEL%