# Licensed Materials - Property of IBM
# 5724-M24
# Copyright IBM Corporation 2008. All Rights Reserved 
# US Government Users Restricted Rights - Use, duplication or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corp.

# Monitor Model Deploy Tool

# Launch Arguments:
#
# -pi <pifile.zip>           Specify the input project interchange file.
# -ear <earfile.ear>         Override the name of the generated EAR file.
# -mm <mmfile.mm>            Specify the monitor model to use in the project interchange file.
# -ejbdeploy                 Run ejbDeploy against the ear file.
# -novalidation              Disable monitor model validation.
# -ignorevalidation          Do not halt for validation errors.
# -keep                      Do not cleanup on exit.
# -w <workingdir>            Specify temporary working directory.
# -trace                     Trace progress of the deploy tool.
# -tracefile <tracefile.log> Specify a log file for trace output.

binDir=`dirname $0`
. $binDir/setupCmdLine.sh

JAVA_HOME=${WAS_HOME}/deploytool.wbm/sdk

if [ -f ${JAVA_HOME}/bin/java ]; then
    JAVA_EXE="${JAVA_HOME}/bin/java"
else
    JAVA_EXE="${JAVA_HOME}/jre/bin/java"
fi

MMDEPLOY_HOME=${WAS_HOME}/deploytool.wbm

JVM_OPTIONS=-Dwas.install.root="${WAS_HOME}"
JVM_OPTIONS="${JVM_OPTIONS} -Dmmdeploy.location=${MMDEPLOY_HOME}"
JVM_OPTIONS="${JVM_OPTIONS} -jar ${MMDEPLOY_HOME}/mmdeploy.jar"

# Uncomment the following line to enable trace to a file.
# MMDEPLOY_OPTIONS="-trace -tracefile /tmp/mmdeploy.$$.trace.out"

# ECLIPSE_OPTIONS=-clean

# ECHO "${JAVA_EXE}" ${JVM_OPTIONS} ${ECLIPSE_OPTIONS} ${MMDEPLOY_OPTIONS} $*
"${JAVA_EXE}" ${JVM_OPTIONS} ${ECLIPSE_OPTIONS} ${MMDEPLOY_OPTIONS} $*
